* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    width: 100vw;
    height: 100vh;
    background-color: white;
}

model-viewer {
    width: 100%;
    height: 100%;
    z-index: 1;
}

#loading-screen {
    position: fixed;
    top: 0;
    left: 0;
    background-color: white;
    width: 100%;
    height: 100%;
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
}

#navbar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 52px;
    background-color: white;
    z-index: 10;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 2rem;
    
}

#navigation-buttons {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    gap: 2rem;
    background-color: white;
}

.navigation-button {
    background-color: white;
    border: none;
    cursor: pointer;
    font-family: sans-serif;
    font-size: 1rem;
}   

.dropdown {
    position: relative;
    display: inline-block;
    background-color: white;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: white;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content button {
    width: 100%;
    font-family: sans-serif;
    font-size: 1rem;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
    border: none;
    background: none;
    cursor: pointer;
}

.dropdown-content button:hover {
    background-color: lightcoral;
}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropbtn {
    border: none;
    cursor: pointer;
}

.sarah-wewer {
    font-size: 1 rem;
    font-weight: bold;
    font-family: sans-serif;
}

/* Buttons  Animation*/
.view-button, .info-button {
    transition: transform 0.3s ease-in-out, visibility 0s linear;
    visibility: hidden;
    pointer-events: none;
}

/* Buttons  Animation*/
.view-button.visible, .info-button.visible {
    visibility: visible;
    transition: transform 0.3s ease-in-out, visibility 0s linear;
    pointer-events: auto;
}

/* Hide elements */
.hidden {
    display: none !important;
}


.sidebar {
    position: fixed;
    top: 0;
    right: 0;
    width: 200px;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.8);
    padding: 20px;
    overflow-y: auto;
    z-index: 1000;
}

.sidebar h2 {
    margin-bottom: 20px;
}

.room-button {
    display: block;
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
    background-color: #f0f0f0;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.room-button:hover {
    background-color: #e0e0e0;
}

/* Adjust the model-viewer to make space for the sidebar */

.side-info-window {
    position: fixed;
    top: 0;
    left: -300px; /* Start off-screen */
    width: 100%;
    height: 100%;
    background-color: white;
    box-shadow: 2px 0 5px rgba(0, 0, 0, 0.3);
    transition: left 0.3s ease-in-out;
    z-index: 1000;
    overflow-y: auto;
}

.side-info-window.visible {
    left: 0; /* Move on-screen */
}

.info-window-content {
    padding: 20px;
}

#close-info-window {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 24px;
    background: none;
    border: none;
    cursor: pointer;
    z-index: 1000;
}

#info-window-title {
    margin-top: 0;
    margin-bottom: 0px;
    font-size: 0em;
}

#info-window-content {
    width: 100%;
    height: 100%;
}

#info-window-content iframe {
    width: 100vw;
    height: 100%;
    border: none;
    position: absolute;
    left: 0;
    top: 0;
}

/* Styles for the view and info buttons */
.view-button, .info-button {
    visibility: hidden;
    transition: opacity 0.3s ease-in-out;
    pointer-events: none;
}

.view-button.visible, .info-button.visible {
    visibility: visible;
    pointer-events: auto;
}

#info-window {
    position: fixed;
    top: 190%;
    left: 0;
    width: 100%;
    height: 80%;
    background-color: rgba(255, 255, 255, 0.9);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    transition: top 0.3s ease-in-out;
    overflow-y: auto;
    z-index: 1000;
    padding: 20px;
    box-sizing: border-box;
}

#info-window.visible {
    top: 10%;
}

#info-close {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
    font-size: 24px;
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

.overlay.visible {
    display: flex;
}

.mobile-content {
    background-color: white;
    padding: 20px;
    border-radius: 10px;
    max-width: 80%;
    max-height: 80%;
    overflow-y: auto;
    position: relative;
}

.close-button {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 24px;
    cursor: pointer;
}

#switch-room-button-container {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
}

#switch-room-button-container button {
    padding: 10px 20px;
    width: 150px;
    background-color: rgba(224, 240, 255, 0.8);
    color: #333;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    z-index: 1000;
    transition: opacity 0.3s ease, visibility 0.3s ease;
    font-weight: bold;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    margin: 0 10px;
}

#switch-room-button-container button:hover {
    background-color: rgba(224, 240, 255, 1);
}

#switch-room-button-container button.hidden {
    opacity: 0;
    visibility: hidden;
}





